--- src/hal-ipod-info.c.orig	Tue Oct 17 11:17:42 2006
+++ src/hal-ipod-info.c	Tue Oct 17 11:19:26 2006
@@ -6,7 +6,6 @@
 #include <errno.h>
 #include <sys/types.h>
 #include <fcntl.h>
-#include <scsi/sg_cmds.h>
 #include <libhal.h>
 
 #define IPOD_BUF_LENGTH 252
@@ -16,7 +15,11 @@
 static unsigned char
 hal_ipod_do_inquiry (int fd, int page, char *buf, char **start)
 {
+#if defined(__FreeBSD__)
+	if (0) { /* XXX - should be something with scsi_inquiry I guess */
+#else
 	if (sg_ll_inquiry (fd, 0, 1, page, buf, IPOD_BUF_LENGTH, 1, 0) != 0) {
+#endif
 		*start = NULL;
 		return 0;
 	} else {
